Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057499 - [abrt] guake: guake:640:__init__:TypeError: Gtk.accelerator_parse() argument 1 must be string, not None
Summary: [abrt] guake: guake:640:__init__:TypeError: Gtk.accelerator_parse() argument ...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: guake
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:455a84f447f4992c1b4d6a0ab03...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 09:04 UTC by Artur Flinta
Modified: 2015-05-04 09:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-04 09:13:41 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-24 09:05 UTC, Artur Flinta
no flags Details
File: environ (deleted)
2014-01-24 09:05 UTC, Artur Flinta
no flags Details

Description Artur Flinta 2014-01-24 09:04:54 UTC
Description of problem:
Error occured after login to system (during gnome shell startup).

Version-Release number of selected component:
guake-0.4.4-11.fc20

Additional info:
reporter:       libreport-2.1.11
cmdline:        python /usr/bin/guake
executable:     /usr/bin/guake
kernel:         3.12.6-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
guake:640:__init__:TypeError: Gtk.accelerator_parse() argument 1 must be string, not None

Traceback (most recent call last):
  File "/usr/bin/guake", line 1446, in <module>
    if not main():
  File "/usr/bin/guake", line 1390, in main
    instance = Guake()
  File "/usr/bin/guake", line 640, in __init__
    keyval, mask = gtk.accelerator_parse(key)
TypeError: Gtk.accelerator_parse() argument 1 must be string, not None

Local variables in innermost frame:
colormap: <gtk.gdk.Colormap object at 0x2807280 (GdkColormap at 0x286e3f0)>
img: '/usr/share/pixmaps/guake/guake-tray.png'
evtbox: <gtk.EventBox object at 0x27fa960 (GtkEventBox at 0x285b050)>
screen: <gtk.gdk.ScreenX11 object at 0x2807190 (GdkScreenX11 at 0x24cb150)>
ipath: '/usr/share/pixmaps/guake/add_tab.png'
hide_context_menu: <function hide_context_menu at 0x28041b8>
key: None
destroy: <function destroy at 0x2804230>
self: Guake(path="/usr/share/guake/guake.glade")
double_click: <function double_click at 0x2804140>

Comment 1 Artur Flinta 2014-01-24 09:05:00 UTC
Created attachment 854856 [details]
File: backtrace

Comment 2 Artur Flinta 2014-01-24 09:05:02 UTC
Created attachment 854857 [details]
File: environ

Comment 3 Fedora Admin XMLRPC Client 2015-03-24 15:23:01 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Admin XMLRPC Client 2015-03-24 15:23:24 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Pierre-YvesChibon 2015-05-04 09:13:41 UTC
This has been fixed since 0.5


Note You need to log in before you can comment on or make changes to this bug.